For the complete documentation index, see llms.txt. This page is also available as Markdown.

Categories

APIs for managing event categories

Get a category by its ID

get
Authorizations
AuthorizationstringRequired

Firebase ID token for end-user authentication.

Path parameters
eventIdstringRequired
categoryIdstringRequired
Responses
200

OK

*/*
idstringRequired
namestringRequired
sequenceNuminteger · int64Optional
externalIdstringOptional
get/api/v1/events/{eventId}/categories/{categoryId}
GET /api/v1/events/{eventId}/categories/{categoryId} HTTP/1.1
Host: api.racetime.app
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "id": "text",
  "name": "text",
  "sequenceNum": 1,
  "externalId": "text"
}

Update an existing category

put
Authorizations
AuthorizationstringRequired

Firebase ID token for end-user authentication.

Path parameters
eventIdstringRequired
Body
idstringRequired
namestringRequired
sequenceNuminteger · int64Optional
externalIdstringOptional
Responses
200

OK

*/*
idstringRequired
namestringRequired
sequenceNuminteger · int64Optional
externalIdstringOptional
put/api/v1/events/{eventId}/categories/{categoryId}
PUT /api/v1/events/{eventId}/categories/{categoryId} HTTP/1.1
Host: api.racetime.app
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "id": "text",
  "name": "text",
  "sequenceNum": 1,
  "externalId": "text"
}
200

OK

{
  "id": "text",
  "name": "text",
  "sequenceNum": 1,
  "externalId": "text"
}

Delete a category

delete
Authorizations
AuthorizationstringRequired

Firebase ID token for end-user authentication.

Path parameters
eventIdstringRequired
categoryIdstringRequired
Responses
200

OK

No content

delete/api/v1/events/{eventId}/categories/{categoryId}
DELETE /api/v1/events/{eventId}/categories/{categoryId} HTTP/1.1
Host: api.racetime.app
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

Get all categories for an event

get
Authorizations
AuthorizationstringRequired

Firebase ID token for end-user authentication.

Path parameters
eventIdstringRequired
Responses
200

OK

*/*
idstringRequired
namestringRequired
sequenceNuminteger · int64Optional
externalIdstringOptional
get/api/v1/events/{eventId}/categories
GET /api/v1/events/{eventId}/categories HTTP/1.1
Host: api.racetime.app
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

[
  {
    "id": "text",
    "name": "text",
    "sequenceNum": 1,
    "externalId": "text"
  }
]

Create a new category for an event

post
Authorizations
AuthorizationstringRequired

Firebase ID token for end-user authentication.

Path parameters
eventIdstringRequired
Body
idstringRequired
namestringRequired
sequenceNuminteger · int64Optional
externalIdstringOptional
Responses
200

OK

*/*
idstringRequired
namestringRequired
sequenceNuminteger · int64Optional
externalIdstringOptional
post/api/v1/events/{eventId}/categories
POST /api/v1/events/{eventId}/categories HTTP/1.1
Host: api.racetime.app
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "id": "text",
  "name": "text",
  "sequenceNum": 1,
  "externalId": "text"
}
200

OK

{
  "id": "text",
  "name": "text",
  "sequenceNum": 1,
  "externalId": "text"
}

Last updated